/* 
    qasn1editor - MainArea - main dialog for qasn1editor
    Copyright(C) 2010 - Andrius da Costa Ribas

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef MAINAREA_H
#define MAINAREA_H

#include "ui_mainAreaDialog.h"
#include "SignalWrapper.h"

class MainArea : public QWidget, private Ui::MainAreaDialog
{
    Q_OBJECT
private:
    SignalWrapper* m_control;
    Asn1BerModel* m_model;
    Asn1BerNode* m_node;
public:
    MainArea(QWidget* parent = 0);
public slots:
    void about();
    void openFile();
    void updateSize();
};
#endif